# Class GlobalSettings

java.lang.Object
org.jmol.viewer.GlobalSettings

public class GlobalSettings extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`antialiasDisplay`
`boolean`
`appendNew`
`int`
`axesMode`
`int`
`bondingVersion`
`String`
`defaultDropScript`
`String`
`defaultLoadFilter`
`String`
`defaultLoadScript`
`String`
`energyUnits`
`int`
`labelPointerWidth`
`boolean`
`legacyJavaFloat`
`boolean`
`logCommands`
`boolean`
`logGestures`
`String`
`measureDistanceUnits`
`byte`
`modeMultipleBond`
`float`
`modulationScale`
`boolean`
`noDelay`
ensures that ScriptManager.allowJSThreads is false so that ScriptManager.useThreads() returns false; Jmol 14.21.1
`boolean`
`preserveState`
`boolean`
`rangeSelected`
`int`
`repaintWaitMs`
`boolean`
`showTiming`
`boolean`
`useScriptQueue`
`boolean`
`waitForMoveTo`

## Method Summary

Modifier and Type
Method
Description
`SV`
`getAndSetNewVariable(String name, boolean doSet)`
`Map<STR,float[]>`
`getStructureList()`
`String`
`getVariableList()`
`void`
`removeParam(String key)`
`void`
`setB(String name, boolean value)`
`void`
`setCIR(String template, boolean notify)`
`void`
`setF(String name, float value)`
`void`
`setO(String name, Object value)`
`void`
`setStructureList(float[] list, STR type)`
`SV`
`setUserVariable(String key, SV var)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### appendNew

public boolean appendNew

### defaultLoadScript

public String defaultLoadScript

### defaultLoadFilter

public String defaultLoadFilter

### defaultDropScript

public String defaultDropScript

### legacyJavaFloat

public boolean legacyJavaFloat

### antialiasDisplay

public boolean antialiasDisplay

### repaintWaitMs

public int repaintWaitMs

### showTiming

public boolean showTiming

### modeMultipleBond

public byte modeMultipleBond

### rangeSelected

public boolean rangeSelected

### axesMode

public int axesMode

### energyUnits

public String energyUnits

### labelPointerWidth

public int labelPointerWidth

### logCommands

public boolean logCommands

### logGestures

public boolean logGestures

### measureDistanceUnits

public String measureDistanceUnits

### modulationScale

public float modulationScale

### preserveState

public boolean preserveState

### useScriptQueue

public boolean useScriptQueue

### waitForMoveTo

public boolean waitForMoveTo

### noDelay

public boolean noDelay
ensures that ScriptManager.allowJSThreads is false so that ScriptManager.useThreads() returns false; Jmol 14.21.1

### bondingVersion

public int bondingVersion

## Method Details

### setB

public void setB(String name, boolean value)

### setF

public void setF(String name, float value)

### setO

public void setO(String name, Object value)

### removeParam

public void removeParam(String key)

### setUserVariable

public SV setUserVariable(String key, SV var)

### getAndSetNewVariable

public SV getAndSetNewVariable(String name, boolean doSet)

Parameters:
  `name` -
  `doSet` -
Returns:
  a new variable if possible, but null if "_xxx"

### getVariableList

public String getVariableList()

### setStructureList

public void setStructureList(float[] list, STR type)

### getStructureList

public Map<STR,float[]> getStructureList()

### setCIR

public void setCIR(String template, boolean notify)